Public Class frmCadastroRegiao
    Private Sub btnIncluirProduto_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnIncluirProduto.Click
        'Validação de Nome Região
        If Not String.IsNullOrEmpty(txtDescricao.Text) Then
            Dim clsRegiao As New clsRegiao
            With clsRegiao
                .NOME_REG = txtDescricao.Text
                If Not String.IsNullOrEmpty(lblCodigo.Text) Then
                    .UpdateREGIAO(CInt(lblCodigo.Text))
                    MsgBox("Registro alterado com sucesso!")
                Else
                    .InsertREGIAO()
                    MsgBox("Registro gravado com sucesso!")
                End If
                'Carrega o gridview
                Call Carregagrid()
                'Limpa os controles
                Call LimpaControle()
            End With
        Else
            MsgBox("Defina o nome da Região")
            txtDescricao.Focus()
        End If
    End Sub
    Private Sub Carregagrid()
        'Instancia o clsRegiao
        Dim clsRegiao As New clsRegiao
        With gvRegiao
            .DataSource = clsRegiao.SelectREGIAOForGrid().Tables(0)
            .Columns(0).Visible = False
            .Columns(1).HeaderText = "Região"
        End With
    End Sub
    Private Sub frmCadastroRegiao_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Carrega o GridView
        Call Carregagrid()
        Call LimpaControle()
    End Sub
    Private Sub gvRegiao_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles gvRegiao.CellClick
        If gvRegiao.RowCount >= 1 Then
            txtDescricao.Text = CStr(gvRegiao.CurrentRow.Cells(1).Value)
            lblCodigo.Text = CStr(gvRegiao.CurrentRow.Cells(0).Value)
        End If
    End Sub
    Private Sub btnExcluirProduto_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExcluirProduto.Click
        If Not String.IsNullOrEmpty(lblCodigo.Text) Then
            Dim clsRegiao As New clsRegiao
            clsRegiao.DeleteREGIAO(CInt(lblCodigo.Text))
            'Carrega o Grid View
            Call Carregagrid()
            'Limpa os controles
            Call LimpaControle()
        Else
            MessageBox.Show("Defina um registro para exclusão!")
        End If
    End Sub
    Private Sub LimpaControle()
        'Limpa os controles
        txtDescricao.Text = ""
        lblCodigo.Text = ""
    End Sub
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        'Limpa os controles
        Call LimpaControle()
    End Sub
End Class
